Remove a Participant

Removes a rep participant from an active messaging session.

Only use this API if routing is partner-owned (if ConversationChannelDefinition.routingOwner is set to Partner).

note: Before calling this API, call the Route Conversation API (POST /route) to transfer and reroute the messaging session to another rep.

When this API is called on an active messaging session, a rep is removed from the messaging session while other participants such as the end user and another rep remain. The messaging session stays open. If After Conversation Work (ACW) is enabled for the service channel or presence configuration, the removed rep goes into ACW.

This API is useful if a rep gets disconnected during an active messaging session with a messaging end user and another rep needs to take over. Calling this API after rerouting the messaging session prevents the disconnected rep from re-joining the session when they reconnect.

This API applies to the following product:

  • Bring Your Own Channel for Contact Center as a Service

This API is available in version 65.0 and later.

URI

v1/participant

HTTP Method

POST

Headers

Authorization (User-Level Authentication)

Format: Bearer <Salesforce Access Token>
String. Standard header. Used to authenticate the user, where <Salesforce Access Token> is the Salesforce access token used as the bearer token to make requests to the Interaction Service APIs. Required.

Content-Type

Format: application/json
String. Standard header. Format of the request payload. Required for any request that includes a body.

OrgId

Format: <Salesforce Org ID>
String. Custom header. The Salesforce org. <Salesforce Org ID> is the 15-character Org ID of the Salesforce org. Required.

RequestId

Format: <UUID>
String. Custom header. Universally Unique Identifier (<UUID>) that references and tracks this request. Required.

AuthorizationContext

Format: <AuthorizationContext>
String. Custom header. Additional information for the request authorization used to authenticate and validate requests against the connected app scopes.

  • For Bring Your Own Channel for CCaaS, set <AuthorizationContext> to the developer name of the ConversationChannelDefinition record. For example, Partner1_ChannelDefinition1. Required.

Sample Header

-H $'Authorization: Bearer 00DSG000009SWby!...LN8XxeRIxGe' \
-H "content-type: application/json" \
-H "OrgId: 00DSG000009SWby" \
-H "AuthorizationContext: Partner1_ChannelDefinition1" \
-H "RequestId: a1b23c45-c06a-4784-c96c-cb95d3321bda" \

Parameters

Property Name Type Description Required
conversationIdentifier string The unique ID for the conversation channel. Yes
operation string The action taken for the participant. Set this value to Remove. Yes
participants string A list of participants being removed from the conversation. This list supports a maximum of 1 participant. Yes
participants.appType string The app type used for the conversation. Set this value to agent. Yes
participants.role string The role within the conversation. Set this value to Agent. Yes
participants.subject string The end user client identifier. Yes

Example

Request

Sample Payload

{
  "conversationIdentifier": "1234a5bc-52b8-43ed-9608-7997f7b88dc1",
  "operation": "Remove",
  "participants": [
    {
      "subject": "UserName01"
      "role": "Agent"
      "appType": "agent"
    }
  ]
}

Response

Sample Payload

{
    “success”:true
}

See Also